Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
ParticleAssetField Class Reference

More...

`#include <ParticleAssetField.h>`

## Classes
struct | DataKey
| Data Key Node. More...

## Public Member Functions
| ParticleAssetField ()
virtual | ~ParticleAssetField ()
void | copyTo (ParticleAssetField &field)
void | initialize (const F32 maxTime, const F32 minValue, const F32 maxValue, const F32 defaultValue)
void | setValueBounds (F32 maxTime, F32 minValue, F32 maxValue, F32 defaultValue)
void | setFieldName (const char *pFieldName)
StringTableEntry | getFieldName (void) const
bool | setValueScale (const F32 valueScale)
F32 | getValueScale (void)
bool | setRepeatTime (const F32 repeatTime)
F32 | getRepeatTime (void) const
F32 | getMinValue (void) const
F32 | getMaxValue (void) const
F32 | getMinTime (void) const
F32 | getMaxTime (void) const
F32 | getValueScale (void) const
F32 | getDefaultValue (void) const
void | resetDataKeys (void)
S32 | setSingleDataKey (const F32 value)
S32 | addDataKey (const F32 time, const F32 value)
bool | removeDataKey (const U32 index)
void | clearDataKeys (void)
bool | setDataKeyValue (const U32 index, const F32 value)
F32 | getDataKeyValue (const U32 index) const
F32 | getDataKeyTime (const U32 index) const
U32 | getDataKeyCount (void) const
const DataKey & | getDataKey (const U32 index) const
F32 | getFieldValue (F32 time) const
void | onTamlCustomWrite (TamlCustomNode *pCustomNode)
void | onTamlCustomRead (const TamlCustomNode *pCustomNode)
void | WriteCustomTamlSchema (const AbstractClassRep *pClassRep, TiXmlElement *pParentElement)

## Static Public Member Functions
static F32 | calculateFieldBV (const ParticleAssetField &base, const ParticleAssetField &variation, const F32 effectAge, const bool modulate=false, const F32 modulo=0.0f)
static F32 | calculateFieldBVE (const ParticleAssetField &base, const ParticleAssetField &variation, const ParticleAssetField &effect, const F32 effectAge, const bool modulate=false, const F32 modulo=0.0f)
static F32 | calculateFieldBVLE (const ParticleAssetField &base, const ParticleAssetField &variation, const ParticleAssetField &overlife, const ParticleAssetField &effect, const F32 effectTime, const F32 particleAge, const bool modulate=false, const F32 modulo=0.0f)

## Static Public Attributes
static ParticleAssetField::DataKey | BadDataKey

## Detailed Description

## Constructor & Destructor Documentation

ParticleAssetField | ( |  | ) |

~ParticleAssetField | ( |  | ) |
| virtual

## Member Function Documentation

S32 addDataKey | ( | const F32 | time,
|  | const F32 | value
| ) |  |

F32 calculateFieldBV | ( | const ParticleAssetField & | base,
|  | const ParticleAssetField & | variation,
|  | const F32 | effectAge,
|  | const bool | modulate = `false`,
|  | const F32 | modulo = `0.0f`
| ) |  |
| static

F32 calculateFieldBVE | ( | const ParticleAssetField & | base,
|  | const ParticleAssetField & | variation,
|  | const ParticleAssetField & | effect,
|  | const F32 | effectAge,
|  | const bool | modulate = `false`,
|  | const F32 | modulo = `0.0f`
| ) |  |
| static

F32 calculateFieldBVLE | ( | const ParticleAssetField & | base,
|  | const ParticleAssetField & | variation,
|  | const ParticleAssetField & | overlife,
|  | const ParticleAssetField & | effect,
|  | const F32 | effectTime,
|  | const F32 | particleAge,
|  | const bool | modulate = `false`,
|  | const F32 | modulo = `0.0f`
| ) |  |
| static

void clearDataKeys | ( | void |  | ) |

void copyTo | ( | ParticleAssetField & | field | ) |

const ParticleAssetField::DataKey & getDataKey | ( | const U32 | index | ) | const

U32 getDataKeyCount | ( | void |  | ) | const
| inline

F32 getDataKeyTime | ( | const U32 | index | ) | const

F32 getDataKeyValue | ( | const U32 | index | ) | const

F32 getDefaultValue | ( | void |  | ) | const
| inline

StringTableEntry getFieldName | ( | void |  | ) | const
| inline

F32 getFieldValue | ( | F32 | time | ) | const

F32 getMaxTime | ( | void |  | ) | const
| inline

F32 getMaxValue | ( | void |  | ) | const
| inline

F32 getMinTime | ( | void |  | ) | const
| inline

F32 getMinValue | ( | void |  | ) | const
| inline

F32 getRepeatTime | ( | void |  | ) | const
| inline

F32 getValueScale | ( | void |  | ) |
| inline

F32 getValueScale | ( | void |  | ) | const
| inline

void initialize | ( | const F32 | maxTime,
|  | const F32 | minValue,
|  | const F32 | maxValue,
|  | const F32 | defaultValue
| ) |  |

void onTamlCustomRead | ( | const TamlCustomNode * | pCustomNode | ) |

void onTamlCustomWrite | ( | TamlCustomNode * | pCustomNode | ) |

bool removeDataKey | ( | const U32 | index | ) |

void resetDataKeys | ( | void |  | ) |

bool setDataKeyValue | ( | const U32 | index,
|  | const F32 | value
| ) |  |

void setFieldName | ( | const char * | pFieldName | ) |

bool setRepeatTime | ( | const F32 | repeatTime | ) |

S32 setSingleDataKey | ( | const F32 | value | ) |

void setValueBounds | ( | F32 | maxTime,
|  | F32 | minValue,
|  | F32 | maxValue,
|  | F32 | defaultValue
| ) |  |

bool setValueScale | ( | const F32 | valueScale | ) |

void WriteCustomTamlSchema | ( | const AbstractClassRep * | pClassRep,
|  | TiXmlElement * | pParentElement
| ) |  |

## Member Data Documentation

ParticleAssetField::DataKey BadDataKey
| static

The documentation for this class was generated from the following files:

- 2d/assets/ParticleAssetField.h
- 2d/assets/ParticleAssetField.cc